Bug 614418 - JON Server installation is not working on Windows Server 2008
JON Server installation is not working on Windows Server 2008
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
3.0.0
All Windows
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Simeon Pinder
Rajan Timaniya
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-07-14 09:05 EDT by Rajan Timaniya
Modified: 2010-08-12 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (3.48 KB, image/png)
2010-07-14 09:05 EDT, Rajan Timaniya
no flags Details
server log (5.72 KB, text/x-log)
2010-07-14 10:56 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-07-14 09:05:54 EDT
Created attachment 431764 [details]
screenshot

Description of problem:
JON Server installation is not working on Windows Server 2008 R2 Enterprise.
Java - Sun jdk1.6

PS C:\jon-server-2.4.0.GA_QA\bin> .\rhq-server.bat start
Starting the RHQ Server [rhqserver-WIN2K8] service...
Waiting to start...
The RHQ Server [rhqserver-WIN2K8] service was launched, but failed to start.

Server log error is:
FATAL  | wrapper  | 2010/07/14 12:20:24 |   There may be a configuration problem: please check the logs.

ERROR  | wrapper  | 2010/07/14 12:20:25 | The RHQ Server [rhqserver-WIN2K8] service was launched, but failed to start.

ERROR  | wrapper  | 2010/07/14 12:23:46 | JVM exited while loading the application.

ERROR  | wrapper  | 2010/07/14 12:23:50 | JVM exited while loading the application.

FATAL  | wrapper  | 2010/07/14 12:23:50 | There were 2 failed launches in a row, each lasting less than 300 seconds.  Giving up.

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA
build number: 10824:7279183

How reproducible:
Always

Steps to Reproduce:
1. Download latest JON build (build #62)
2. Install - RHQ Server [rhqserver-WIN2K8] service
3. Start JON Server
  
Actual results:
JON Server installation is not working on Windows Server 2008 R2 Enterprise. 

Expected results:
JON Server should be installed on Windows Server 2008 R2 Enterprise. 

Additional info:
JON Server installing working fine for Windows Server 2003 Enterprise Edition SP1
Java - Sun jdk1.6
Comment 1 John Mazzitelli 2010-07-14 10:18:36 EDT
need the java service wrapper logs and the server logs to track this down. go to the server's logs directory and you'll find them there.
Comment 3 Rajan Timaniya 2010-07-14 10:56:43 EDT
Created attachment 431805 [details]
server log
Comment 4 John Mazzitelli 2010-07-14 11:15:16 EDT
that attached log doesn't help. No idea what the failure is. Is there any thing like the normal server log (rhq-server-log4j.log)? Does Windows log these kind of errors in their own log file somewhere?
Comment 5 Simeon Pinder 2010-07-15 15:15:04 EDT
I was not able to reproduce this on a new eval copy of Win 2k8 Enterprise R2.

Steps:
i)install Windows 2008 Enterprise R2 (Full)
ii) Log in as Administrator.
iii)Disable IE ESC browser restrictions.
iv)Install jdk 1.6.0_21
v)Extract version: 2.4.0.GA_QA (build number: 10824:7279183) aka build 62 or  jon-tag-release.
vi) edit rhq-server.bat to include the RHQ_SERVER_RUN_AS_ME. 
vii)run rhq-server.bat install
viii)run rhq-server.bat install
ix)in browser window run installer to completion and login.

############# Additional Information:
i)On the QA box, I did confirm that the jon-server-2.4.0.GA_QA.zip files had identical hashes on both QA instance and my new Win2k8 instance.
ii)Everything else was standard/defaults on the box.
iii) On the QA box I was able to verify that with good installer bits and a new installation directory that the startup still encountered the same reported difficulties.  

############# Questions:
i)Were there any additional configuration changes made to the QA instance?
ii) Is it possible that the QA win2k8 instance has become corrupted in some way?
iii) Could the registry/services engine for the QA instance have been damaged in some way?
iv) Is there another win2k8 QA instance that we can run these tests on?
v) QA should reattempt this test with the AD\Administrator .. or the real administrator for the box unless this identical access model has been used in all the pre-R2 tests of this configuration.


I'll continue to poke around the instance to see if I can detect any additional differences between my environment and QE's.
Comment 6 Rajan Timaniya 2010-07-19 07:53:13 EDT
Installed new copy of Windows Server 2008 R2 Enterprise and installed latest JON tag-jon-release build#69. JON installation works fine without any error/exception.

QE Environment:
Platform: Windows Server 2008 R2 Enterprise
Database: Oracle 11g
Java: Sun JDK1.6
Comment 7 Corey Welton 2010-08-12 12:59:33 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.